package Servlet;

import Datos.CodCategoriaEjercicioDB;
import Datos.CodConceptoDB;
import Datos.CodTipoEjercicioDB;
import Datos.EjercicioDB;
import Modelo.Ejercicio;
import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class CrearEntrenamiento2Servlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        
        String url = "";
        String id_ejercicio = request.getParameter("id_ejercicio");
        Ejercicio ejercicio = EjercicioDB.getEjercicio(id_ejercicio);
        String id_entrenamiento = request.getParameter("id_entrenamiento");
        String operacion = request.getParameter("operacion");
        String fecha = request.getParameter("fecha");
        request.setAttribute("ejercicio", ejercicio);
        if(operacion.equals("REG")){
            String categoria = CodCategoriaEjercicioDB.getCodCategoriaEjercicio(ejercicio.getCategoria_ejercicio()).getDescripcion_categoria_ejer();
            String concepto1 = CodConceptoDB.getCodConcepto(ejercicio.getConcepto1()).getDescripcion_concepto();
            String concepto2 = CodConceptoDB.getCodConcepto(ejercicio.getConcepto2()).getDescripcion_concepto();
            String concepto3 = CodConceptoDB.getCodConcepto(ejercicio.getConcepto3()).getDescripcion_concepto();
            String tipo = CodTipoEjercicioDB.getCodTipoEjercicio(ejercicio.getTipo_ejercicio()).getDescripcion_tipo_ejer();

            url = "/crearEntrenamiento3.jsp?id_ejercicio="+id_ejercicio+"&categoria="+categoria+"&concepto1="+concepto1+"&concepto2="+concepto2+
                            "&concepto3="+concepto3+"&tipo="+tipo+"&operacion="+operacion+"&id_entrenamiento="+id_entrenamiento+"&fecha="+fecha;
        } else {
            String categoria = CodCategoriaEjercicioDB.getCodCategoriaEjercicio(ejercicio.getCategoria_ejercicio()).getDescripcion_categoria_ejer();
            String concepto1 = CodConceptoDB.getCodConcepto(ejercicio.getConcepto1()).getDescripcion_concepto();
            String concepto2 = CodConceptoDB.getCodConcepto(ejercicio.getConcepto2()).getDescripcion_concepto();
            String concepto3 = CodConceptoDB.getCodConcepto(ejercicio.getConcepto3()).getDescripcion_concepto();
            String tipo = CodTipoEjercicioDB.getCodTipoEjercicio(ejercicio.getTipo_ejercicio()).getDescripcion_tipo_ejer();
            String comentario = request.getParameter("comentario");
            String tiempo = request.getParameter("tiempo");
            url = "/crearEntrenamiento3.jsp?id_ejercicio="+id_ejercicio+"&categoria="+categoria+"&concepto1="+concepto1+"&concepto2="+concepto2+"&concepto3="+concepto3
                            +"&tipo="+tipo+"&operacion="+operacion+"&id_entrenamiento="+id_entrenamiento+"&fecha="+fecha+"&comentario="+comentario+"&timepo="+tiempo;
        }
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);

    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
